export default class Token  {

    private _token : string;
    
    constructor(token : string) {
        if (token === null && token === undefined)  {
            throw new Error("cannot create Token with null or undefined");
        }
        this._token = token;
    }

    get token() : string {
        return this._token;
    }

}
